Subject: Re: bug#13690: 24.3.50; scroll-conservatively and Info-up

From: Dmitry Gutov <[email-masked]>
Date: Wed, 13 Feb 2013 23:02:13 +0400

Hi Eli,

Eli Zaretskii <[email-masked]> writes:
>> >                         This is by popular demand; you can find my
>> > questions about this and answers by others a year or two ago in the
>> > archives.  E.g., scroll-conservatively affects commands such as
>> > goto-char, even if you move far away in the buffer.
>> 
>> Do you mean the thread starting here:
>> http://lists.gnu.org/archive/html/emacs-devel/2010-06/msg01011.html and
>> continued in bug#6631?
>
> That one, but also others.  For a recent example, see
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13055 (although that is
> about scroll-margin, not scroll-conservatively).
>
>> >> But again, as a user, I'd expect this only if what I'm doing
>> >> recognizably involves scrolling, which Info-up does not, from the user's
>> >> point of view.
>> >
>> > Alas, other users' expectations are different.
>> 
>> I didn't see anything to that effect in the thread cited above; did I
>> miss it or were such expectations expressed elsewhere?  Again, I'd be
>> quite surprised if anyone really expects and prefers the current effect
>> of scroll-conservatively on Info-up.
>
> My witnesses are twofold:
>
>  . No one spoke about this except Juanma, and no one said that
>    scroll-conservatively _must_ be confined to scroll commands.

If I'm reading this right, the thread from 2010-06 has 8 messages and 5
participants. There is no way it can be representative of Emacs users in
general.

>  . Since those changes were made, 2.5 years ago, I heard _zero_
>    complaints about this behavior; you are the first one.  By

I don't think that's true anymore. You should at least remember the bug
I posted relatively recently:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13133

>    contrast, before that, when Emacs would sometimes recenter even
>    when scroll-conservatively was set to a huge number, there were
>    quite a few complaints and bug reports about that.

Like I explained in the bug above, the current behavior creates problems
in edge cases. So a users can choose the values that "work almost right,
but not exactly". Naturally, many people might be okay with that.

--Dmitry